<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncSalesPaymentFormResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            'fop_descricao' => $this->payment_form->fop_descricao ?? null,
            'vfp_valor' => $this->vfp_valor ?? 0,
            'vfp_numero_vezes' => $this->vfp_numero_vezes ?? 0
        ];
    }
}
