<?php


namespace App\RestApi\Company\Controllers;

use App\RestApi\Company\Resources\BranchCollectionResource;

use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\Core\Company\Managers\BranchManager;
use Schaffen\Core\Company\Repositories\BranchRepository;


class BranchController
{

    use Crudable;

    protected $resource = BranchCollectionResource::class;

    public function __construct(BranchManager $manager, BranchRepository $repository)
    {
        $this->setup($manager, $repository);
    }



}
