<?php

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
Route::get('ping', function (){
    return 'pong';
});
Route::middleware('auth:api')->group(function () {
    Route::middleware('inject.filters.me')->group(function () {
        include_once 'api/core/core.php';
        include_once 'api/service-order/service-order.php';
        include_once 'api/warehouse-inventory/warehouse-inventory.php';
        include_once 'api/human-resources/human-resources.php';
        include_once 'api/transactions/api.php';
        include_once 'api/financial/api.php';
        include_once 'api/nfe-downloader/nfe-downloader.php';
        include_once 'api/production-order/production-order.php';
    });
});

include 'api/unauthenticated/api.php';
